/* katto.c */ /* SJ 010498 */ 

#include <stdio.h>

/* funktio palauttaa liukulukuparametrinsa
   kokonaisluvuksi ylöspäin pyöristettynä */
int katto(float a)
{
  return (int)(a + 0.99999);
}

/* funktio pyöristää liukulukumuuttuja-
   parametrinsa ylöspäin */
void katoksi(float *a)
{
  *a = (float)((int)(*a + 0.99999));
}

int main()
{
  int a;
  float x = 1.2354;

  a = katto(x);
  katoksi(&x);

  printf("%d %f\n", a, x);

  exit(0);
}
